//+------------------------------------------------------------------+
//|                                              Ty_PendingOrder.mq4 |
//|                 Copyright  2010, tyfinity - mykautsar@gmail.com |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, tyfinity - mykautsar@gmail.com"
#property link      ""
extern int gridspace = 50;
extern int gridnum   = 5;
extern int lot       = 1;




//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
   double pgrid = Bid*MathPow(10,Digits);
   double mgrid = MathMod(pgrid,gridspace);
   double grid  = pgrid-mgrid;

if (mgrid>=gridspace/2)
   {
      for (int i=1;i<=gridnum;i++) {
         double midgrid      = (grid+gridspace)/MathPow(10,Digits);
         double uppergrid    = midgrid+gridspace*i/MathPow(10,Digits);
         double lowergrid    = midgrid-gridspace*i/MathPow(10,Digits);
         OrderSend(Symbol(),OP_BUYSTOP,lot,uppergrid,3,0,0,"grid"+i,NULL,0,Lime);
         ObjectCreate("bhl"+i,OBJ_HLINE,0,0,uppergrid);ObjectSet("bhl"+i,OBJPROP_COLOR,Lime);
         OrderSend(Symbol(),OP_SELLSTOP,lot,lowergrid,3,0,0,"grid"+i,NULL,0,Red);
         ObjectCreate("shl"+i,OBJ_HLINE,0,0,lowergrid);ObjectSet("shl"+i,OBJPROP_COLOR,Red);
         
      }
   }
else   
   { 
     for ( i=1;i<=gridnum;i++) {
         midgrid      = grid/MathPow(10,Digits);
         uppergrid    = midgrid+gridspace*i/MathPow(10,Digits);
         lowergrid    = midgrid-gridspace*i/MathPow(10,Digits); 
         OrderSend(Symbol(),OP_BUYSTOP,lot,uppergrid,3,0,0,"grid"+i,NULL,0,Lime);
         ObjectCreate("bhl"+i,OBJ_HLINE,0,0,uppergrid);ObjectSet("bhl"+i,OBJPROP_COLOR,Lime);
         OrderSend(Symbol(),OP_SELLSTOP,lot,lowergrid,3,0,0,"grid"+i,NULL,0,Red);
         ObjectCreate("shl"+i,OBJ_HLINE,0,0,lowergrid);ObjectSet("shl"+i,OBJPROP_COLOR,Red);
     }
   }




//----
   return(0);
  }
//+------------------------------------------------------------------+